Subject: [alpine-devel] LVM install fails

From: Viktor Trojanovic <[email-masked]>
Date: Fri, 18 Sep 2015 02:13:55 +0200

Hi all,

I just did a fresh VirtualBox install, following exactly the
step-by-step instructions on
http://wiki.alpinelinux.org/wiki/Installing_on_GPT_LVM. All works
perfectly up to the point "setup-disk -m sys /mnt". This doesn't
succeed on my system.

Installing system on /dev/vg0/alpine.rootfs:
/mnt/boot is device /dev/sda2
ERROR: unsatisfiable constraints:
  .setup-apkrepos (missing):
     required by: world[.setup-apkrepos]

I can confirm that my internet connection works, I can run
setup-apkrepos and the /etc/apk/repositories file looks fine. No
errors in the logs.

Btw, an automated install straight to the disk using alpine-setup
works just fine.

Is this a bug or am I doing something wrong?

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---